#!/usr/bin/env python3

import sys
import pychromecast
from pychromecast.controllers.youtube import YouTubeController

CC_IP = '192.168.178.22'

playing = True

video_id = sys.argv[1]

cast = pychromecast.Chromecast(CC_IP)
cast.wait()

yt = YouTubeController()
cast.register_handler(yt)
yt.play_video(video_id)



mc = cast.media_controller

for line in sys.stdin:
    if playing:
        mc.pause()
    else:
        mc.play()
    playing = not playing
